Summary:	KDE frontend for the omnibook kernel module
Name:		komnibook
Version:	1.4.1
Release:	2mdk
URL:		http://sourceforge.net/projects/omke/
License:	GPL
Group:		Monitoring
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	kdelibs >= 3.1
BuildPreReq:	kdelibs-devel >= 3.1
Prefix:		%{_prefix}

%description
KDE frontend for the omnibook kernel module that would stay
in the tray and display/set status information.
To be able to use this application, you need to use the
kernel-tmb kernel from Mandrakelinux contribs or add the
omnibook kernel module to your actual kernel using the sources
from sourceforge.net.

%prep
%setup -q -n %name

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
%makeinstall "INSTALL_PATH=%{buildroot}%{_bindir}"

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="energy.png" needs="x11" title="Komnibook" longtitle="KDE frontend for the omnibook kernel module" section="System/Monitoring"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc COPYING
%attr(0755, root, root) %{_bindir}/%{name}
%{_menudir}/%name

%changelog
* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-2mdk
- Rebuild


* Wed Apr 28 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Sun Apr  4 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.3-1mdk
- 1.3
